Author Topic: lmce-media-identifier upgrade error  (Read 2170 times)

Govo

  • Guru
  • ****
  • Posts: 204
    • View Profile
lmce-media-identifier upgrade error
« on: January 24, 2016, 11:50:19 am »
Hi Folks

Just ran an upgrade on 14.4 and lmce-media-identifier is giving the following error

dpkg: error processing archive /var/cache/apt/archives/lmce-media-identifier_2.0.0.47.16010531792_i386.deb (--unpack):
 trying to overwrite '/usr/pluto/bin/External_Media_Identifier', which is also in package id-my-disc 1.8.ub1004
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/lmce-media-identifier_2.0.0.47.16010531792_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


Fix for me was to

sudo apt-get remove --purge id-my-disc

sudo apt-get remove --purge lmce-media-identifier


sudo apt-get install lmce-media-identifier


Tried to re-install id-my-disc

get this error

dpkg: error processing archive /var/cache/apt/archives/id-my-disc_1.8.ub1004_i386.deb (--unpack):
 trying to overwrite '/usr/pluto/bin/External_Media_Identifier', which is also in package lmce-media-identifier 2.0.0.47.16010531792
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/id-my-disc_1.8.ub1004_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)



There seems to be a conflict of packages .


Cheers
Govo

Marie.O

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3675
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: lmce-media-identifier upgrade error
« Reply #1 on: January 24, 2016, 12:45:47 pm »
id-my-disk is an old package that we do not have source for. lmce-media-identifier is a rewrite that replaces id-my-disk - it does not yet cover all things id-my-disk did, but is a start that covers the CD

Govo

  • Guru
  • ****
  • Posts: 204
    • View Profile
Re: lmce-media-identifier upgrade error
« Reply #2 on: January 24, 2016, 01:00:03 pm »
Hi Posde

Thanks for the feedback,  understood, maybe we can purge id-my-disc when running a sudo upgrade or is it remove from the latest snap shot?


Cheers
Govo

Marie.O

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3675
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: lmce-media-identifier upgrade error
« Reply #3 on: January 24, 2016, 05:34:49 pm »
Did you install 1404, or did you upgrade to 1404?

Govo

  • Guru
  • ****
  • Posts: 204
    • View Profile
Re: lmce-media-identifier upgrade error
« Reply #4 on: January 24, 2016, 06:32:45 pm »
Hi posde

I instaledl 14.4 back in Dec 2015, I have it on a second hard drive which I booted up to day.

Then sudo apt-get update and then sudo apt-get upgrade.


I have just downloaded the latest snap shot, will give try it out later.

Cheers
Govo

Marie.O

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 3675
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: lmce-media-identifier upgrade error
« Reply #5 on: January 24, 2016, 06:42:51 pm »
thx, we appreciate the feedback.